using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.Dat;

[ComImport]
[Guid("1349EF1A-06EA-43E5-9026-4F3967C6C1D3")]
[SuppressUnmanagedCodeSecurity]
[InterfaceType(1)]
public interface IFileFilter
{
	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	void Initialize([MarshalAs(UnmanagedType.Interface)] DatStream Stream);
}
